Not able to compile qt application for torizon imx8 with vs code

Hi Community,

I’m trying to run an application for torizon installed imx8. I’m following this tutorial (https://www.toradex.com/blog/importing-qt-project-into-torizon-using-visual-studio-code).
My developemnt computer is Ubuntu 22.04 and i use the VS Code torizon extension.

When i debug, the following error occures.

  • Executing task: make install

/usr/lib/qt5/bin/qmake -install qinstall -exe appconfig_0/work/sda/sda /usr/bin/sda
Error copying appconfig_0/work/sda/sda to /usr/bin/sda: Cannot create /usr/bin/sda for output
make: *** [Makefile:402: install_target] Error 3

  • The terminal process “/bin/bash ‘-c’, ‘make install’” terminated with exit code: 2.

My .pro file

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets serialport

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    main.cpp \
    widget.cpp

HEADERS += \
    widget.h

FORMS += \
    widget.ui

# Default rules for deployment.
#qnx: target.path = /tmp/$${TARGET}/bin
#else: unix:!android: target.path = /opt/$${TARGET}/bin
#!isEmpty(target.path): INSTALLS += target

linux:!android {
    target.path = $$(QMAKE_DESTDIR)/usr/bin
    INSTALLS += target
}

DESTDIR = $$(QMAKE_DESTIDIR)

Any help will be appreciated.

Regards,
Hareendran

Spin up a Ubuntu 20.04 LTS VM and try your development there. 22.04 may be an LTS, but it is not ready for prime time. Lots of things don’t work “quite right” in 22.04.

Hi @hareendran-tl

Welcome to toradex community.
I quickly checked with my setup(ubuntu 18.04 with VS Code) and was able to debug and run a sample serial qt application. Could you provide the steps to reproduce the issue?

Hi @seasoned_geek and @ashok.tx ,

Thanks for the responses. I am able to debug the application after a fresh reinstallation of vs code, plugins and docker.

Hi @hareendran-tl

Glad it worked.
Thanks for the update.